#!/bin/bash

# Warning: this script scale 40% the images and convert the 
#	   sound files to 8bit, mono recursively

TEMP=/tmp/$$$$.tmp

echo "Checking ffmpeg..."
which ffmpeg || (echo "ffmpeg not found..." ; exit 1)

for i in $(find . -name "*wav") ; do
	ffmpeg -i $i -ac 2 -ar 22050 $TEMP.wav
	cp $TEMP.wav $i
	rm $TEMP.wav
done

