#include "global.c"




int cartel(TTF_Font *fuente, char *texto, char *texto_ingles, int pregunto)
{
	SDL_Event evento;
	int done=0, res=0;

	SDL_Color foregroundColor = { 255, 255, 0 };
	SDL_Color backgroundColor = { 0, 0, 0 };

	SDL_Surface* textSurface = TTF_RenderText_Shaded(fuente, texto,
	foregroundColor, backgroundColor); 

	SDL_Surface* textSurface2 = TTF_RenderText_Shaded(fuente, texto_ingles,
	foregroundColor, backgroundColor); 

	// Pass zero for width and height to draw the whole surface
	SDL_Rect textLocation = { 270 *MODX, 300 *MODY, 0, 0 };
	SDL_Rect textLocation2 = { 270 *MODX, 320 *MODY, 0, 0 };

	SDL_Rect textFondo = { 210 *MODX, 260 *MODY, 380 *MODX, 130 *MODY};
	SDL_Rect textFondo2 = { 200 *MODX, 250 *MODY, 400 *MODX, 150 *MODY};

	/* Colocar el texto del puntaje y mensajes extras */
	SDL_FillRect(scr, &textFondo2, SDL_MapRGB(scr->format, 255, 255, 100));
	SDL_FillRect(scr, &textFondo, SDL_MapRGB(scr->format, 0, 0, 0));
	SDL_BlitSurface(textSurface, NULL, scr, &textLocation);
	SDL_BlitSurface(textSurface2, NULL, scr, &textLocation2);

	/* Liberar ttf */
	SDL_FreeSurface(textSurface);
	SDL_FreeSurface(textSurface2);

	SDL_Flip(scr);
	if (pregunto==1) {
		while (!done) {
			while (SDL_PollEvent(&evento)) {
				switch (evento.type){
					case SDL_QUIT: done = 1; break;
					case SDL_KEYDOWN:
					case SDL_KEYUP: 
                				if ((evento.key.keysym.sym == SDLK_n) &&
						    (evento.key.state == SDL_PRESSED))
							done = 1;
						else if ((evento.key.keysym.sym == SDLK_y) &&
							  (evento.key.state == SDL_PRESSED)) {
							res = 1;
							done = 1;
						};
				}
			}
		}
	} else
		SDL_Delay(pregunto);
	
	return res;

}





int menues ()
{
  SDL_Event evento;

SDL_Surface *temp,*banner4,*banner5,*banner6,*banner7;
SDL_Surface *main_menu, *item1, *item2, *item3;
     temp = SDL_LoadBMP("images/banner4.bmp");
     if (temp == NULL){
           printf("No se pudo cargar grafico %s\n",SDL_GetError());
           exit(1);
     }

     banner4 = SDL_DisplayFormat(temp);
     if (banner4 == NULL){
           printf("No se pudo convertir el grafico %s\n",SDL_GetError());
           exit(1);
     }
     SDL_FreeSurface(temp);

     temp = SDL_LoadBMP("images/banner5.bmp");
     banner5 = SDL_DisplayFormat(temp);
     SDL_SetAlpha (banner5, SDL_SRCALPHA|SDL_RLEACCEL, 1);
     SDL_FreeSurface(temp);

     temp = SDL_LoadBMP("images/banner6.bmp");
     banner6 = SDL_DisplayFormat(temp);
     SDL_SetAlpha (banner6, SDL_SRCALPHA|SDL_RLEACCEL, 1);
     SDL_FreeSurface(temp);

     temp = SDL_LoadBMP("images/banner7.bmp");
     banner7 = SDL_DisplayFormat(temp);
     SDL_SetAlpha (banner7, SDL_SRCALPHA|SDL_RLEACCEL, 1);
     SDL_FreeSurface(temp);

     temp = SDL_LoadBMP("images/main_menu.bmp");
     main_menu = SDL_DisplayFormat(temp);
     SDL_SetColorKey(main_menu, SDL_SRCCOLORKEY|SDL_RLEACCEL, SDL_MapRGB(main_menu->format, 255, 255, 255));
     SDL_FreeSurface(temp);

     temp = SDL_LoadBMP("images/item1.bmp");
     item1 = SDL_DisplayFormat(temp);
     SDL_FreeSurface(temp);

     temp = SDL_LoadBMP("images/item2.bmp");
     item2 = SDL_DisplayFormat(temp);
     SDL_FreeSurface(temp);

     temp = SDL_LoadBMP("images/item3.bmp");
     item3 = SDL_DisplayFormat(temp);
     SDL_FreeSurface(temp);

	SDL_Rect rmain_menu, ritem1, ritem2, ritem3;

	rmain_menu.x = 200 *MODX; rmain_menu.y = 340 *MODY;
	rmain_menu.w = main_menu->w; rmain_menu.h = main_menu->h;

	ritem1.x = 220 *MODX; ritem1.y = 350 *MODY;
	ritem1.w = item1->w; ritem1.h = item1->h;

	ritem2.x = 220 *MODX; ritem2.y = 420 *MODY;
	ritem2.w = item2->w; ritem2.h = item2->h;

	ritem3.x = 220 *MODX; ritem3.y = 490 *MODY;
	ritem3.w = item3->w; ritem3.h = item3->h;


  int b5=0,b6=0,b7=0;
  int ib5=5,ib6=10,ib7=3;
  int main_done=0, opcion_menu=1;
  while (!main_done)
  {
  	b5=b5+ib5; 
	if (b5>150) ib5=ib5*-1;
	else if (b5<0) {b5=0; ib5=ib5*-1;};

  	b6=b6+ib6; 
	if (b6>150) ib6=ib6*-1;
	else if (b6<0) {b6=0; ib6=ib6*-1;};

  	b7=b7+ib7; 
	if (b7>150) ib7=ib7*-1;
	else if (b7<0) {b7=0; ib7=ib7*-1;};

     SDL_SetAlpha (banner5, SDL_SRCALPHA|SDL_RLEACCEL, b5);
     SDL_SetAlpha (banner6, SDL_SRCALPHA|SDL_RLEACCEL, b6);
     SDL_SetAlpha (banner7, SDL_SRCALPHA|SDL_RLEACCEL, b7);

	SDL_BlitSurface(banner4,NULL,scr,NULL);
	SDL_BlitSurface(banner5,NULL,scr,NULL);
	SDL_BlitSurface(banner6,NULL,scr,NULL);
	SDL_BlitSurface(banner7,NULL,scr,NULL);

	
	SDL_BlitSurface(main_menu,NULL,scr,&rmain_menu);
	switch (opcion_menu){
		case 1:
			SDL_BlitSurface(item1,NULL,scr,&ritem1);
			break;
		case 2:
			SDL_BlitSurface(item2,NULL,scr,&ritem2);
			break;
		case 3:
			SDL_BlitSurface(item3,NULL,scr,&ritem3);
			break;
	}
     while(SDL_PollEvent(&evento))
     {
	   switch (evento.type){
	      case SDL_QUIT: main_done = 1; break;
	      case SDL_KEYDOWN:
	      case SDL_KEYUP: 
	      	if (evento.key.state == SDL_RELEASED) {
                	if (evento.key.keysym.sym == SDLK_RETURN) {
				if (opcion_menu == 2) {
					/* texto que colocaremos de opcion
					 * no disponible
					 */
					//sprintf ( banner, "OPCION NO DISPONIBLE");
					cartel(font, "OPCION NO DISPONIBLE","[ NOT AVAILABLE ]",2000);
				} else
		   			main_done = 1;
			} else if (evento.key.keysym.sym == SDLK_UP) {
				opcion_menu--;
                		if (enable_sound) phaserChannel = Mix_PlayChannel(-1, layout[flipper_Rup]->sonido, 0);
			} else if (evento.key.keysym.sym == SDLK_DOWN) {
				opcion_menu++;
                		if (enable_sound) phaserChannel = Mix_PlayChannel(-1, layout[flipper_Rup]->sonido, 0);
			}
			break;
		}
	   }	
	if (opcion_menu == 0) opcion_menu=3; 
	else if (opcion_menu == 4) opcion_menu=1;
     }

	SDL_Flip(scr);

   };
     //SDL_FreeSurface(temp);
     SDL_FreeSurface(banner4);
     SDL_FreeSurface(banner5);
     SDL_FreeSurface(banner6);
     SDL_FreeSurface(banner7);
     SDL_FreeSurface(main_menu);
     SDL_FreeSurface(item1);
     SDL_FreeSurface(item2);
     SDL_FreeSurface(item3);

	if (opcion_menu == 3)
		return 1;
	
	return 0;
}
